<div class="btnAcrossPageName">
    <mb-button mbButtonSize="MEDIUM" mbButtonAvailableStyle="ADD_NEW"
               (click)="openAddModal()"
               *ngIf="objFunction?.edit"
               mbButtonText="{{'personalTax.label.add' | translate}}"></mb-button>

    <mb-button
        mbButtonSize="MEDIUM"
        mbButtonAvailableStyle="IMPORT"
        (click)="doImportData()"
        *ngIf="objFunction?.approve"
        mbButtonText="{{'common.upload.upload' | translate}}"
    >
    </mb-button>
</div>

<div class="ptx__register content__item content__item--border bg__content--default" (keyup.enter)='doSearch(1, true)'>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <app-search-form #searchForm [functionCode]="functionCode"></app-search-form>

    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>

        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch(1, true)"
                    mbButtonText="{{'personalTax.label.search' | translate}}"
                ></mb-button>
                <mb-button
                    mbButtonSize="MEDIUM"
                    nz-button nz-dropdown [nzDropdownMenu]="menu" nzTrigger="click"
                    mbButtonType="BORDER"
                    mbButtonText="{{'personalTax.label.exportList' | translate}}"
                >
                    <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
                <nz-dropdown-menu #menu="nzDropdownMenu">
                    <ul nz-menu style="padding: 0">
                        <li
                            nz-button
                            nz-menu-item
                            style="padding: 0 20px"
                            (click)="doExportData('DEFAULT')"
                        >
                            <div class="menu__item">
                                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                                <span>{{'personalTax.taxRegisters.btnExportDefault' | translate}}</span>
                            </div>
                        </li>
                        <li
                            nz-menu-item
                            nz-button
                            style="padding: 0 20px"
                            (click)="doExportData('ACCORDING_TAX_AUTHORITY')"
                        >
                            <div class="menu__item">
                                <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
                                <span>{{'personalTax.taxRegisters.btnExportAccordingTaxAuthority' | translate}}</span>
                            </div>
                        </li>
                    </ul>
                </nz-dropdown-menu>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>
</div>



<div class="search__result">
    <mb-table-merge-cell-wrap>
        <div class="headerTableSelect">
            <app-btn-action-by-list
                [isDisabled]="isDisabled"
                [listRegisterId]="listRegisterId"
                [urlApproveAll]="urlApproveAll"
                [urlApproveByList]="urlApproveByList"
                [searchFormApprove]="searchFormApprove"
                (doSearch)="doSearch(pagination.pageNumber)"
                (openReject)="openRejectByList()"
                (resetListRegisterId)="resetListRegisterId()"
                *ngIf='objFunction?.approve'
                (onLoadPage)="onLoadPage($event)"
            >
            </app-btn-action-by-list>
        </div>
        <mb-table-merge-cell
            #table
            (changePageNum)="doSearch($event)"
            [tableConfig]="tableConfig"
            [dataList]="searchResult"
            (dblClickRow)="onDblClickNode($event)"
            (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
        ></mb-table-merge-cell>
    </mb-table-merge-cell-wrap>
</div>


<ng-template #actionTmpl let-status="status" let-taxNumberRegisterId="taxNumberRegisterId">
    <app-btn-action-by-id
        [registerId]="taxNumberRegisterId"
        [status]="status"
        [urlApproveByList]="urlApproveByList"
        [urlDeleteById]="urlDeleteById"
        (doSearch)="doSearch(pagination.pageNumber)"
        (openReject)="openRejectById($event)"
        (openModalEdit)="openModalEdit($event)"
        (openModalDetail)="openModalDetail($event)"
        [showDelete]='objFunction?.delete'
        [showEdit]='objFunction?.edit'
        [showApprove]='objFunction?.approve'
        (onLoadPage)="onLoadPage($event)"
        [isCheckApprove]="true"
    >
    </app-btn-action-by-id>
</ng-template>

<app-import-common [showContent]="isImportData"
                   (onCloseModal)="doCloseImport($event)"
                   [urlApiDownloadTemp]="urlApiDownloadTemp"
                   [urlApiImport]="urlApiImport"
                   (onLoadPage)="onLoadPage($event)"
>
</app-import-common>

<app-reject-common
    [isReject]="isReject"
    [listRegisterId]="listRegisterId"
    [id]="rejectId"
    [isRejectList]="isRejectList"
    [urlRejectByList]="urlReject"
    (onCloseModal)="doCloseReject($event)"
    (resetListDraftId)="resetListRegisterId()"
>
</app-reject-common>

<ng-template #statusTmpl let-status="status">
    <ng-container *ngFor="let item of constant.STATUSES_REGISTER">
        <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}"
                *ngIf="status.toString() === item.value">{{item.label | translate}}</nz-tag>
    </ng-container>
</ng-template>


<ng-template #empStatusTmpl let-empStatus="empStatus">
    <app-emp-status-common [empStatus]="empStatus"></app-emp-status-common>
</ng-template>

<ng-template #attachFileTmpl let-attachFileList="attachFileList">
    <div *ngFor="let file of attachFileList">
        <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
    </div>
</ng-template>
